// session操作
const sessionData = function (method, url, name, obj) {
  /*
   * 参数说明：
   * method：get获取，set存入或覆盖，clean清除
   * name:session的名称
   * obj:存入的内容，可以是任意类型
   * */
  switch (method) {
    case 'get':
      if (sessionStorage.getItem(url + name + '_obj')) {
        return JSON.parse(sessionStorage.getItem(url + name + '_obj'));
      } else if (sessionStorage.getItem(url + name + '_str')) {
        return sessionStorage.getItem(url + name + '_str');
      } else {
        return null
      }
    case 'set':
      sessionData('clean', url + name);
      if (typeof obj == 'object') {
        sessionStorage.setItem(url+ name + '_obj', JSON.stringify(obj));
      } else {
        sessionStorage.setItem(url + name + '_str', obj);
      }
      return true;
    case 'clean':
      sessionStorage.removeItem(url + name + '_obj');
      sessionStorage.removeItem(url + name + '_str');
      return true;
  }
};

export {sessionData}
